# Review at https://bugzilla.redhat.com/show_bug.cgi?id=527840

%global minorversion 0.3

Name:           parole
Version:        0.3.0.3
Release:        1%{?dist}
Summary:        Media player for the Xfce desktop

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/applications/parole
#VCS: git:git://git.xfce.org/apps/parole
Source0:        http://archive.xfce.org/src/apps/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.20.0
BuildRequires:  gstreamer-plugins-base-devel >= 0.10.11
BuildRequires:  dbus-devel >= 0.60
BuildRequires:  dbus-glib-devel >= 0.70
BuildRequires:  libxfce4ui-devel >= 4.8.0
BuildRequires:  libnotify-devel >= 0.4.1
BuildRequires:  taglib-devel >= 1.4
BuildRequires:  desktop-file-utils
BuildRequires:  gettext 
BuildRequires:  intltool
BuildRequires:  gtk-doc
Requires:       gstreamer-plugins-good
# Obsolete the dead mozilla plugin
Obsoletes:      %{name}-mozplugin <= 2.0.2-7

%description
Parole is a modern simple media player based on the GStreamer framework and 
written to fit well in the Xfce desktop. Parole features playback of local 
media files, DVD/CD and live streams. Parole is extensible via plugins.

The project still in its early developments stage, but already contains the 
following features:
* Audio playback
* Video playback with optional subtitle
* Playback of live sources


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains header files for developing plugins for 
%{name}.


%prep
%setup -q


%build
%configure --disable-static --enable-gtk-doc
make %{?_smp_mflags} V=1


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
%find_lang %{name}

desktop-file-install                                    \
  --delete-original                                     \
  --remove-mime-type=video/x-totem-stream               \
  --dir=%{buildroot}%{_datadir}/applications            \
  %{buildroot}/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :


%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-mime-database %{_datadir}/mime &> /dev/null || :


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO THANKS
%{_bindir}/%{name}
%dir %{_libdir}/%{name}-0/
%{_libdir}/%{name}-0/*.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/


%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/
%{_includedir}/%{name}/


%changelog
* Wed Aug 22 2012 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0.3-1
- Update to 0.3.0.3
- Build gtk documentation again (bugzilla.xfce.org #9232)

* Tue Aug 21 2012 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0.2-1
- Update to 0.3.0.2
- For now, don't build with --enable-gtk-doc
- Drop DSO patch, fixed upstream

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Apr 05 2012 Kevin Fenzi <kevin@scrye.com> - 0.2.0.6-4
- Rebuild for Xfce 4.10

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.2.0.6-2
- Rebuild for new libpng

* Sun Jun 06 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.0.6-1
- Update to 2.0.6
- Obsolete parole-mozplugin
- Drop libnotify patch, no longer needed

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 05 2010 Kevin Fenzi <kevin@tummy.com> - 0.2.0.2-5
- Add patch to build against new libnotify 

* Wed Sep 29 2010 jkeating - 0.2.0.2-4
- Rebuilt for gcc bug 634757

* Sat Sep 18 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.0.2-3
- Remove mime-type "video/x-totem-stream" (#633304)
- Make parole-devel no longer require gtk-doc (#604409)

* Thu Feb 18 2010 Kevin Fenzi <kevin@tummy.com> - 0.2.0.2-2
- Add patch to fix DSO issue. Fixes bug #565207

* Mon Jan 25 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.0.2-1
- Update to 0.2.0.2

* Thu Jan 14 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.0.1-1
- Update to 0.2.0.1

* Tue Jan 05 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0

* Tue Dec 01 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.99-1
- Update to 0.1.99 and drop all patches
- Make the plugin require mozilla-filesystem

* Sun Nov 29 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.98-1
- Update to 0.1.98
- Cherry pick some patches to build the browser plugin with xulrunner 1.9.2

* Wed Nov 25 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.96-1
- Update to 0.1.96
- Build gtk-doc files

* Wed Nov 25 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.95-1
- Update to 0.1.95

* Fri Oct 30 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.91-1
- Update to 0.1.91

* Thu Oct 08 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.90-3
- Set locale before loading the GtkBuilder interface definition for dialogs
- Translation updates

* Thu Oct 08 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.90-2
- BuildRequire taglib-devel and fix libnotify requirement

* Wed Oct 07 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.90-1
- Update to 0.1.90
- Loads of additional translations

* Fri Sep 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1-0.1
- Initial package
